%define modname gnutls
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A67_%{modname}.ini

Summary:	GnuTLS PHP Module
Name:		php-%{modname}
Version:	0.3
Release:	%mkrel 0.rc1.25
Group:		Development/PHP
License:	GPLv2+
URL:		http://openvcp.org/
Source0:	http://files.openvcp.org/modphp-%{modname}-%{version}-rc1.tar.gz
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	pkgconfig
BuildRequires:	gnutls-devel

%description
This is a dynamic shared object (DSO) that adds GnuTLS support to PHP.

%prep

%setup -q -n modphp-%{modname}-%{version}-rc1

%build

%{_usrsrc}/php-devel/buildext %{modname} "%{modname}.c" "-DCOMPILE_DL=1 -DHAVE_SOCKETS -L%{_libdir} `pkg-config --libs gnutls`"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

cat > README.%{modname} << EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
EOF

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog

* Wed Jan 30 2013 oden <oden> 0.3-0.rc1.25.mga3
+ Revision: 393266
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 0.3-0.rc1.24.mga3
+ Revision: 375800
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 19 2012 luigiwalser <luigiwalser> 0.3-0.rc1.23.mga2
+ Revision: 223899
- httpd restart is handled by filetriggers now

* Wed Dec 21 2011 spuhler <spuhler> 0.3-0.rc1.22.mga2
+ Revision: 185274
- rebuild against php-5.3.9

  + fwang <fwang>
    - rebuild for new gnutls

* Sun Feb 06 2011 spuhler <spuhler> 0.3-0.rc1.20.mga1
+ Revision: 47961
- increase rel to 20 for rebuild
- removed buildroot definition from .spec
- imported package php-gnutls

